tpm2_getpubek(8)

NAME
tpm2_getpubek - Generate TCG profile compliant endorsement key(endorsement hierarchy primary object), make it persistent with give ek handle, and return public EK, if any passwd option is missing, assume NULL, default type/alg is 0x1(RSA) Refer to: http://www.trustedcomputinggroup.org/files/static_page_files/7CAA5687-1A4B-B294-D04080D058E86C5F/Credential_Profile_EK_V2.0_R14_published.pdf

SYNOPSIS
tpm2_getpubek[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --endorsePasswd|--ownerPasswd|--ekPasswd|--handle|--alg|--file|--passwdInHex| ]

Generate TCG profile compliant endorsement key(endorsement hierarchy primary object), make it persistent with give ek handle, and return public EK, if any passwd option is missing, assume NULL, default type/alg is 0x1(RSA) Refer to: http://www.trustedcomputinggroup.org/files/static_page_files/7CAA5687-1A4B-B294-D04080D058E86C5F/Credential_Profile_EK_V2.0_R14_published.pdf

DESCRIPTION
tpm2_getpubek Generate TCG profile compliant endorsement key(endorsement hierarchy primary object), make it persistent with give ek handle, and return public EK, if any passwd option is missing, assume NULL, default type/alg is 0x1(RSA) Refer to: http://www.trustedcomputinggroup.org/files/static_page_files/7CAA5687-1A4B-B294-D04080D058E86C5F/Credential_Profile_EK_V2.0_R14_published.pdf

OPTIONS

-e ,--endorsePasswd
    specifies current endorse password (string, optional, default:NULL).

-o ,--ownerPasswd
    specifies current owner password (string, optional, default:NULL).

-P ,--ekPasswd
    specifies the EK password when created (string, optional, default:NULL).

-H ,--handle
    specifies the handle used to make EK persistent (hex).

-g ,--alg
    specifies the algorithm type of EK (default:0x01/TPM_ALG_RSA). TPM_ALG_RSA 0x0001 TPM_ALG_KEYEDHASH 0x0008 TPM_ALG_ECC 0x0023 TPM_ALG_SYMCIPHER 0x0025

-f ,--file
    specifies the file used to save the public portion of EK.

-X ,--passwdInHex
    passwords given by any options are hex format

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_getpubek

    tpm2_getpubek -e abc123 -o abc123 -P passwd -H 0x81010001 -g 0x01 -f ek.pub
    tpm2_getpubek -e 1a1b1c -o 1a1b1c -P 123abc -X -H 0x81010001 -g 0x01 -f ek.pub